<?php

/*
  Plugin Name: Vanilla Bean Slack Hooker
  Plugin URI: http://www.velvary.com.au/vanilla-beans/wordpress/slack-hooker
  Description: Slack integration through shortcode and under the bonnet with a lazy load approach
  Version: 2.12
  Author: vsmash
  Author URI: http://www.velvary.com.au
  License: GPLv2
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

if (!defined('VBEANSLACKHOOKER_PLUGIN_DIR')) {
    define('VBEANSLACKHOOKER_PLUGIN_DIR', plugin_dir_path(__FILE__));
}
if (!defined('VBEANSLACKHOOKER_PLUGIN_URL')) {
    define('VBEANSLACKHOOKER_PLUGIN_URL', plugin_dir_url(__FILE__));
}
if (!defined('VBEANSLACKHOOKER_PLUGIN_FILE')) {
    define('VBEANSLACKHOOKER_PLUGIN_FILE', __FILE__);
}
if (!defined('VBEANSLACKHOOKER_PLUGIN_VERSION')) {
    define('VBEANSLACKHOOKER_PLUGIN_VERSION', '2.12');
}

/* ===========================================
  Define Includes
  =========================================== */
$includes = array(
    'functions.php',
    'slack-message.php'
);

$frontend_includes = array(
    'slack-front.php'
);


$adminincludes = array(
    'settings.php'
);

/* ===========================================
  Load Includes
  =========================================== */
// Common
foreach ($includes as $include) {
    require_once( dirname(__FILE__) . '/inc/' . $include );
}
if (is_admin()) {
    //load admin part
    foreach ($adminincludes as $admininclude) {
        require_once( dirname(__FILE__) . '/inc/admin/' . $admininclude );
    }
} else {
    //load front part
    foreach ($frontend_includes as $include) {
        require_once( dirname(__FILE__) . '/inc/' . $include );
    }
}


add_action('admin_menu', 'vbean_slack_hooker_create_menu');

if(!function_exists('vb_slack')){
    function vb_slack($message, $channel = null, $username = null, $icon = null) {
        return vbean_slackhooker($message, $channel = null, $username = null, $icon = null);
    }
}


if (!function_exists('vbean_slack_hooker_create_menu')) {
    function vbean_slack_hooker_create_menu() {
        if (empty($GLOBALS['admin_page_hooks']['vanillabeans-settings'])) {
            //create new top-level menu
            add_menu_page('Vanilla Beans', 'Vanilla Beans', 'administrator', 'vanillabeans-settings', 'VanillaBeans\LiveSettings', VBEANSLACKHOOKER_PLUGIN_URL . 'vicon.png', 4);
        }
        $vbean_hook = add_submenu_page('vanillabeans-settings', 'Slack Hooker', 'Slack Hooker', 'administrator', __FILE__, 'VanillaBeans\SlackHooker\SettingsPage');
        //call register settings function
        add_action('admin_init', 'VanillaBeans\SlackHooker\RegisterSettings');
    }

}
            
            
            